

html><head>
	<title>Javascript Exemplo Prompt</title>
</head>
<body>


<script>
function calcular(){
	
	debugger ;
	
	var inputSexo = document.getElementById('sexo');
	var sexo = inputSexo.value ; 
	
	var inputAltura = document.getElementById('txtAltura') ; 
	var altura = parseFloat(inputAltura.value) ; 
	
	var resultado  = document.getElementById('resultado') ;
	
	var imc ; 
		
	if(!isNaN(altura)){
	
		switch(sexo){
			case 'M' : imc = calcularMasculino(altura) ; break ; 
			case 'F' : imc = calcularFeminino(altura) ; break ;
		}
		
		if( imc !== undefined  ){
			resultado.innerHTML = 'O IMC para o Sexo selecionado é ' + imc ; 
		}
	
	}else{ 
		resultado.innerHTML = 'Erro no calculo ...' ; 
	}
	
	
	

}

function calcularMasculino(altura){
	
	return  (72.7*altura)-58  ; 
}

function calcularFeminino(altura){
	return (62.1*altura)-44.7 ; 
}

</script>
<label for="sexo">Sexo</label>
<select name="sexo" id="sexo">
  <option value="" selected>Selecione o sexo</option>
  <option value="M">Masculino</option> 
  <option value="F">Feminino</option>
</select>

<label for="altura">Altura</label>

<input style="width : 50px;" type="text" id="txtAltura"  />

<input type="button" value="Calcular IMC" onclick="calcular();"/>
<p id="resultado">
</p>

</body>

</html>

